Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-ppc-user
Navigation:
Lists: gentoo-ppc-user: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-ppc-user@g.o
From: "Daryl P. Williams" <daryl@...>
Subject: newbie help with emerge --update --deep --newuse world
Date: Wed, 02 Aug 2006 12:36:37 -0700
dear gentoo people,

i am trying to migrate to gentoo ppc64 from osx tiger.  unfortunately i 
have run myself
into some problems, probably due to my own newbiness and unfamiliarity's 
with gentoo.
i was trying to do a:

emerge --update --deep --newuse world

as described in the gentoo handbook.  when it stopped with a complaint 
about a conflict
between the pam-login and shadow packages.  i made the mistake of 
unmerging pam-login
and now i can only access the system by booting the kernel with the arg: 
init="/bin/bash".
however after removing the above conflict the build continued, but 
eventually stopped
with another problem, which i don't have a clue where to begin - except 
here on the
list. and so i am hoping you gracious and patient folks might be willing 
to lend a
helping hand to someone trying to make the move from osx to gentoo.
and so with that hope i hand,  i now present you with the details:

the system is a 2 CPU PPC G5, w/internal SATA drive, and a 20" 
CinemaDisplay.

my make.conf includes the following USE definition:

USE="-unicode -gnome -gtk kde qt gtk2 hal"

i added the -unicode because i was having trouble building the audacity 
program
which complained about wxWidgets (or something) needing to be re-emerged
w/out unicode, and after trying a local package USE="-unicode" which 
wouldn't
work,  i decided to try adding it to the make.conf. my ultimate goal is 
to set up an
audio/recording system.

i have included below the output from emerge --info as well as the 
broken make.
again, thanks for your patience, and if i need to supply any other 
information please
let me know.

thanks,

daryl
daryl at weblane dot com


emerge --info:

Gentoo Base System version 1.6.14
Portage 2.1.1_pre4 (default-linux/ppc/ppc64/2006.0/64bit-userland, 
gcc-3.4.4/vanilla, glibc-2.3.4.20041102-r2, 2.6.17-gentoo-r4tochtli-01 
ppc64)
=================================================================
System uname: 2.6.17-gentoo-r4tochtli-01 ppc64 unknown
app-admin/eselect-compiler: 2.0.0_rc2-r1
dev-lang/python:     2.4.3-r1
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.60
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.17
sys-devel/gcc-config: 2.0.0_rc1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.16
ACCEPT_KEYWORDS="ppc64 ~ppc64"
AUTOCLEAN="yes"
CBUILD="powerpc64-unknown-linux-gnu"
CFLAGS="-O2 -pipe -mtune=970 -mcpu=970 -maltivec -mabi=altivec"
CHOST="powerpc64-unknown-linux-gnu"
CONFIG_PROTECT=""
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf"
CXXFLAGS="-O2 -pipe -mtune=970 -mcpu=970 -maltivec -mabi=altivec"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://distro.ibiblio.org/pub/linux/distributions/gentoo/ 
http://ftp.ucsb.edu/pub/mirrors/linux/gentoo/ 
http://gentoo.cites.uiuc.edu/pub/gentoo/ http://gentoo.osuosl.org/ "
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times 
--compress --force --whole-file --delete --delete-after --stats 
--timeout=180 --exclude='/distfiles' --exclude='/local' 
--exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="ppc64 X alsa apache2 apm arts berkdb bitmap-fonts cdr cli cups 
dlloader dri dvd eds emboss encode esd foomaticdb fortran gdbm gif gpm 
gstreamer gtk2 hal ibm imlib ipv6 isdnlog jpeg kde libg++ libwww mad 
mikmod motif mp3 mpeg ncurses nls nptl nptlonly ogg opengl oss pam pcre 
pdflib perl png pppd python qt qt3 qt4 quicktime readline reflection sdl 
session spell spl ssl tcpd truetype truetype-fonts type1-fonts udev 
vorbis xml xmms xorg xv zlib elibc_glibc input_devices_keyboard 
input_devices_mouse kernel_linux userland_GNU"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, 
LDFLAGS, LINGUAS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY



make output:

../include/sys/uio.h:5: warning: `altivec' attribute ignored
../include/sys/uio.h:7: warning: `altivec' attribute ignored
../include/sys/uio.h:9: warning: `altivec' attribute ignored
../include/sys/uio.h:11: warning: `altivec' attribute ignored
powerpc64-unknown-linux-gnu-gcc printf_fp.c -c -std=gnu99 -O2 -Wall 
-Winline -Wwrite-strings -fmerge-all-constants -mcpu=970 -mtune=970 
-pipe -mnew-mnemonics -Wstrict-prototypes -mlong-double-128  -fpic    
-I../include 
-I/var/tmp/portage/glibc-2.4-r3/work/build-ppc64-powerpc64-unknown-linux-gnu-nptl/stdio-common 
-I/var/tmp/portage/glibc-2.4-r3/work/build-ppc64-powerpc64-unknown-linux-gnu-nptl 
-I../sysdeps/powerpc/powerpc64/elf -I../sysdeps/powerpc/elf 
-I../sysdeps/unix/sysv/linux/powerpc/powerpc64/fpu 
-I../sysdeps/powerpc/powerpc64/fpu 
-I../nptl/sysdeps/unix/sysv/linux/powerpc/powerpc64 
-I../sysdeps/unix/sysv/linux/powerpc/powerpc64 
-I../sysdeps/unix/sysv/linux/wordsize-64 
-I../nptl/sysdeps/unix/sysv/linux/powerpc 
-I../powerpc-cpu/sysdeps/unix/sysv/linux/powerpc 
-I../sysdeps/unix/sysv/linux/powerpc -I../sysdeps/ieee754/ldbl-128ibm 
-I../sysdeps/ieee754/ldbl-opt -I../ports/sysdeps/unix/sysv/linux 
-I../nptl/sysdeps/unix/sysv/linux -I../nptl/sysdeps/pthread 
-I../sysdeps/pthread -I../powerpc-cpu/sysdeps/unix/sysv/linux 
-I../sysdeps/unix/sysv/linux -I../sysdeps/gnu -I../sysdeps/unix/common 
-I../sysdeps/unix/mman -I../sysdeps/unix/inet 
-I../ports/sysdeps/unix/sysv -I../nptl/sysdeps/unix/sysv 
-I../powerpc-cpu/sysdeps/unix/sysv -I../sysdeps/unix/sysv 
-I../sysdeps/unix/powerpc -I../ports/sysdeps/unix -I../nptl/sysdeps/unix 
-I../powerpc-cpu/sysdeps/unix -I../sysdeps/unix -I../sysdeps/posix 
-I../powerpc-cpu/sysdeps/powerpc/powerpc64/970 
-I../powerpc-cpu/sysdeps/powerpc/powerpc64/power4 
-I../powerpc-cpu/sysdeps/powerpc/powerpc64 
-I../sysdeps/powerpc/powerpc64 -I../sysdeps/wordsize-64 
-I../sysdeps/powerpc/fpu -I../ports/sysdeps/powerpc 
-I../nptl/sysdeps/powerpc -I../powerpc-cpu/sysdeps/powerpc 
-I../sysdeps/powerpc -I../sysdeps/ieee754/dbl-64 
-I../sysdeps/ieee754/flt-32 -I../sysdeps/ieee754 
-I../sysdeps/generic/elf -I../sysdeps/generic -I../ports -I../nptl 
-I../powerpc-cpu  -I.. -I../libio -I. -nostdinc -isystem 
/usr/lib/gcc/powerpc64-unknown-linux-gnu/3.4.4/include -isystem 
/usr/include -D_LIBC_REENTRANT -include ../include/libc-symbols.h  -DPIC 
-DSHARED     -D_IO_MTSAFE_IO -o 
/var/tmp/portage/glibc-2.4-r3/work/build-ppc64-powerpc64-unknown-linux-gnu-nptl/stdio-common/printf_fp.os 
-MD -MP -MF 
/var/tmp/portage/glibc-2.4-r3/work/build-ppc64-powerpc64-unknown-linux-gnu-nptl/stdio-common/printf_fp.os.dt 
-MT 
/var/tmp/portage/glibc-2.4-r3/work/build-ppc64-powerpc64-unknown-linux-gnu-nptl/stdio-common/printf_fp.os
In file included from ../socket/sys/socket.h:27,
                 from ../include/sys/socket.h:2,
                 from ../inet/netinet/in.h:24,
                 from ../include/netinet/in.h:3,
                 from ../resolv/resolv.h:57,
                 from ../include/resolv.h:12,
                 from ../nptl/descr.h:39,
                 from ../nptl/sysdeps/powerpc/tls.h:66,
                 from ../include/tls.h:6,
                 from ../include/errno.h:22,
                 from ../libio/libioP.h:29,
                 from printf_fp.c:25:
../include/sys/uio.h:5: warning: `altivec' attribute ignored
../include/sys/uio.h:7: warning: `altivec' attribute ignored
../include/sys/uio.h:9: warning: `altivec' attribute ignored
../include/sys/uio.h:11: warning: `altivec' attribute ignored
In file included from ../socket/sys/socket.h:27,
                 from ../include/sys/socket.h:2,
                 from ../inet/netinet/in.h:24,
                 from ../include/netinet/in.h:3,
                 from ../resolv/resolv.h:57,
                 from ../include/resolv.h:12,
                 from ../nptl/descr.h:39,
                 from ../nptl/sysdeps/powerpc/tls.h:66,
                 from ../include/tls.h:6,
                 from ../nptl/sysdeps/pthread/bits/libc-lock.h:36,
                 from ../nptl/sysdeps/pthread/bits/stdio-lock.h:23,
                 from ../libio/libio.h:171,
                 from ../include/libio.h:1,
                 from ../libio/stdio.h:72,
                 from ../include/stdio.h:5,
                 from ../sysdeps/posix/cuserid.c:20:
../include/sys/uio.h:5: warning: `altivec' attribute ignored
../include/sys/uio.h:7: warning: `altivec' attribute ignored
../include/sys/uio.h:9: warning: `altivec' attribute ignored
../include/sys/uio.h:11: warning: `altivec' attribute ignored
powerpc64-unknown-linux-gnu-gcc reg-printf.c -c -std=gnu99 -O2 -Wall 
-Winline -Wwrite-strings -fmerge-all-constants -mcpu=970 -mtune=970 
-pipe -mnew-mnemonics -Wstrict-prototypes -mlong-double-128  -fpic    
-I../include 
-I/var/tmp/portage/glibc-2.4-r3/work/build-ppc64-powerpc64-unknown-linux-gnu-nptl/stdio-common 
-I/var/tmp/portage/glibc-2.4-r3/work/build-ppc64-powerpc64-unknown-linux-gnu-nptl 
-I../sysdeps/powerpc/powerpc64/elf -I../sysdeps/powerpc/elf 
-I../sysdeps/unix/sysv/linux/powerpc/powerpc64/fpu 
-I../sysdeps/powerpc/powerpc64/fpu 
-I../nptl/sysdeps/unix/sysv/linux/powerpc/powerpc64 
-I../sysdeps/unix/sysv/linux/powerpc/powerpc64 
-I../sysdeps/unix/sysv/linux/wordsize-64 
-I../nptl/sysdeps/unix/sysv/linux/powerpc 
-I../powerpc-cpu/sysdeps/unix/sysv/linux/powerpc 
-I../sysdeps/unix/sysv/linux/powerpc -I../sysdeps/ieee754/ldbl-128ibm 
-I../sysdeps/ieee754/ldbl-opt -I../ports/sysdeps/unix/sysv/linux 
-I../nptl/sysdeps/unix/sysv/linux -I../nptl/sysdeps/pthread 
-I../sysdeps/pthread -I../powerpc-cpu/sysdeps/unix/sysv/linux 
-I../sysdeps/unix/sysv/linux -I../sysdeps/gnu -I../sysdeps/unix/common 
-I../sysdeps/unix/mman -I../sysddaryl@sierraos:/home/daryl:(102)% view !$
view DEBUG

{standard input}:674: Error: expression too complex
{standard input}:675: Error: can't resolve `.L524' {*UND* section} - 
`.L98' {*UND* section}
{standard input}:675: Error: expression too complex
{standard input}:676: Error: can't resolve `.L525' {*UND* section} - 
`.L98' {*UND* section}
{standard input}:676: Error: expression too complex
{standard input}:677: Error: can't resolve `.L526' {*UND* section} - 
`.L98' {*UND* section}
{standard input}:677: Error: expression too complex
{standard input}:678: Error: can't resolve `.L527' {*UND* section} - 
`.L98' {*UND* section}
{standard input}:678: Error: expression too complex
{standard input}:679: Error: can't resolve `.L528' {*UND* section} - 
`.L98' {*UND* section}
{standard input}:679: Error: expression too complex
{standard input}:680: Error: can't resolve `.L529' {*UND* section} - 
`.L98' {*UND* section}
{standard input}:680: Error: expression too complex
{standard input}:681: Error: can't resolve `.L530' {*UND* section} - 
`.L98' {*UND* section}
{standard input}:681: Error: expression too complex
{standard input}:682: Error: can't resolve `.L531' {*UND* section} - 
`.L98' {*UND* section}
{standard input}:682: Error: expression too complex
{standard input}:683: Error: can't resolve `.L532' {*UND* section} - 
`.L98' {*UND* section}
{standard input}:683: Error: expression too complex
{standard input}:684: Error: can't resolve `.L533' {*UND* section} - 
`.L98' {*UND* section}
{standard input}:684: Error: expression too complex
{standard input}:685: Error: can't resolve `.L534' {*UND* section} - 
`.L98' {*UND* section}
{standard input}:685: Error: expression too complex
{standard input}:686: Error: can't resolve `.L535' {*UND* section} - 
`.L98' {*UND* section}
{standard input}:686: Error: expression too complex
{standard input}:687: Error: can't resolve `.L522' {*UND* section} - 
`.L98' {*UND* section}
{standard input}:687: Error: expression too complex
{standard input}:688: Error: can't resolve `.L522' {*UND* section} - 
`.L98' {*UND* section}
{standard input}:688: Error: expression too complex
{standard input}:689: Error: can't resolve `.L522' {*UND* section} - 
`.L98' {*UND* section}
{standard input}:689: Error: expression too complex
In file included from ../socket/sys/socket.h:27,
                 from ../include/sys/socket.h:2,
                 from ../inet/netinet/in.h:24,
                 from ../include/netinet/in.h:3,
                 from ../resolv/resolv.h:57,
                 from ../include/resolv.h:12,
                 from ../nptl/descr.h:39,
                 from ../nptl/sysdeps/powerpc/tls.h:66,
                 from ../include/tls.h:6,
                 from ../include/errno.h:22,
                 from vfscanf.c:21:
../include/sys/uio.h:5: warning: `altivec' attribute ignored
../include/sys/uio.h:7: warning: `altivec' attribute ignored
../include/sys/uio.h:9: warning: `altivec' attribute ignored
../include/sys/uio.h:11: warning: `altivec' attribute ignored
Preprocessed source stored into 
/var/tmp/portage/glibc-2.4-r3/temp/ccusn5JW.out file, please attach this 
to your bugreport.
make[2]: *** 
[/var/tmp/portage/glibc-2.4-r3/work/build-ppc64-powerpc64-unknown-linux-gnu-nptl/stdio-common/vfwprintf.os] 
Error 1
make[1]: *** [stdio-common/subdir_lib] Error 2
make[1]: Leaving directory `/var/tmp/portage/glibc-2.4-r3/work/glibc-2.4'
make: *** [all] Error 2

!!! ERROR: sys-libs/glibc-2.4-r3 failed.
Call stack:
  ebuild.sh, line 1545:   Called dyn_compile
  ebuild.sh, line 940:   Called src_compile
  glibc-2.4-r3.ebuild, line 1179:   Called toolchain-glibc_src_compile
  glibc-2.4-r3.ebuild, line 253:   Called die

!!! make for ppc64 failed
!!! If you need support, post the topmost build error, and the call 
stack if relevant.

-- 
gentoo-ppc-user@g.o mailing list


Replies:
Re: newbie help with emerge --update --deep --newuse world
-- David B?langer
Navigation:
Lists: gentoo-ppc-user: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
Ctrl-Alt-Backspace
Next by thread:
Re: newbie help with emerge --update --deep --newuse world
Previous by date:
Re: Airport don't work only with me... WHY?? am I ill-fated ?
Next by date:
Re: newbie help with emerge --update --deep --newuse world


Updated Jun 17, 2009

Summary: Archive of the gentoo-ppc-user mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.